/* Copyright (c) 2017, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * * Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following
 * disclaimer in the documentation and/or other materials provided
 *  with the distribution.
 *   * Neither the name of The Linux Foundation nor the names of its
 * contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
#ifndef __OEM_PUBLIC_KEY_H__
#define __OEM_PUBLIC_KEY_H__

/**
 * Internal builds use TestKeyRSA4096Public
 * OEM should replace this Array with public key used to sign boot.img
 * avbtool extract_public_key  --key KEY --output OUTPUT
 */
static const char OEMPublicKey[] = {
0x00,0x00,0x10,0x00,0xc1,0x79,0x02,0x4f,0xb6,0x2f,0xb8,0xcf,0x39,0x70,0x38,0x48,
0x9a,0x00,0x85,0x15,0x58,0xb4,0x22,0xa1,0x44,0xdc,0x68,0xb9,0xc4,0xc8,0xfc,0xc0,
0x78,0x35,0x0a,0xd7,0x2d,0x74,0xde,0xa9,0x93,0x36,0x3d,0xe6,0xfe,0x2f,0xd7,0x75,
0x84,0x22,0x51,0x08,0xb5,0x4b,0xe4,0x9e,0x44,0xd1,0x49,0x67,0xd7,0x59,0x4a,0x50,
0x95,0xfb,0xe1,0x6d,0xb0,0xec,0xd4,0x99,0x38,0xe9,0xcb,0xae,0xe4,0xbd,0xd7,0xac,
0x92,0x96,0x72,0x89,0x3c,0xef,0x66,0xa4,0xf0,0x82,0xf6,0xdd,0x24,0x54,0xdf,0x87,
0x5a,0x91,0xe3,0x8a,0xf4,0xfe,0x8e,0x0f,0xad,0x9b,0xc0,0xe3,0xcb,0x97,0x9a,0x45,
0xf2,0xf5,0x97,0xa0,0x4f,0xc9,0x2a,0x07,0xb7,0x46,0x20,0x5f,0xf6,0x88,0x40,0xe7,
0x81,0x90,0x6d,0x4c,0x0b,0x9f,0x4f,0x42,0xd8,0xec,0xea,0x00,0x01,0xa7,0x3e,0x09,
0x47,0x58,0x4d,0x9b,0x76,0x79,0x75,0x2b,0x9b,0xf3,0x9b,0xe9,0xdc,0xdf,0xc8,0x05,
0xe0,0x8d,0x71,0x46,0xf9,0xde,0x47,0xd2,0x08,0xa9,0x27,0x91,0x51,0xa6,0x54,0xd5,
0x70,0x48,0xc2,0xd8,0x75,0x33,0x03,0x87,0x40,0xe1,0x4b,0x8a,0x84,0x4c,0x91,0x25,
0x47,0xa5,0x23,0x4b,0xcc,0x5a,0x24,0x63,0xfa,0xbf,0xb4,0x08,0xc2,0x29,0x2e,0xaf,
0x46,0xf1,0xf7,0xc3,0x4a,0x3e,0xe3,0xab,0x8e,0x0c,0x4a,0x42,0xa7,0xc2,0x19,0x86,
0x36,0x71,0x18,0x2c,0x5f,0x65,0xb1,0x5b,0x4f,0x17,0x52,0x70,0xd5,0x36,0x1b,0xc5,
0xbc,0x26,0x43,0x97,0xb7,0xf8,0x69,0xf0,0x8f,0x8a,0x62,0xc2,0x0f,0xb1,0xea,0x9a,
0x22,0x2b,0x69,0xb7,0x7d,0x1c,0x9a,0x4b,0xf4,0x64,0x96,0x6f,0x56,0xf1,0x55,0x16,
0x2d,0x93,0x80,0x0b,0xbe,0xb1,0xc1,0x95,0x68,0xe0,0x9c,0x0d,0x8f,0x55,0x99,0x85,
0x46,0x7e,0xc8,0xf6,0xcf,0xa4,0x16,0xa8,0x26,0xf8,0x5a,0x90,0x83,0xaa,0x1c,0xaf,
0x17,0x4c,0x1b,0xcf,0xaa,0xa1,0x88,0x0e,0xb4,0x79,0xad,0x78,0x02,0x1c,0xef,0x98,
0x3b,0xb5,0xb6,0x9c,0xa6,0xf8,0xe6,0xf4,0xc9,0x92,0xee,0x79,0x9c,0xf7,0x47,0x3f,
0x5e,0x59,0x9a,0x63,0x77,0xa9,0xf2,0xd1,0x2f,0xce,0xc6,0x89,0xa0,0xdd,0x97,0x3c,
0xf8,0xd4,0xd9,0xa9,0xaf,0x9b,0x1a,0x5b,0xe2,0xf5,0x4e,0x3f,0x3f,0x08,0xd5,0x2e,
0xad,0x8a,0x3f,0xc2,0xac,0x42,0x0c,0x10,0x60,0xd7,0x08,0x00,0x27,0x46,0xbe,0x55,
0x91,0xcf,0x7a,0x42,0xac,0x5f,0xf2,0xa5,0x40,0xa5,0xc7,0x11,0xb8,0xa7,0x0a,0x3b,
0xc3,0x2c,0x31,0x3d,0x5b,0x46,0xae,0x53,0xcf,0x18,0x9b,0x7b,0x0c,0x52,0xbe,0xba,
0xb9,0x67,0xc8,0x75,0x04,0x60,0x24,0xde,0xf8,0xd7,0x00,0xdc,0xe7,0x45,0xbf,0x9e,
0x4c,0x49,0x84,0x67,0x9f,0x6e,0x18,0x33,0xcb,0xc0,0x74,0x3d,0x00,0xd4,0xe2,0x97,
0xd1,0x21,0x6f,0x11,0xc1,0x98,0x54,0x51,0x2e,0xd6,0xa2,0x3a,0x76,0xa5,0xc8,0x8d,
0x67,0x8a,0xfa,0xa0,0xe3,0xa3,0x1d,0x66,0x2d,0xcd,0x05,0xbd,0xc4,0x62,0x49,0x0b,
0x59,0xc1,0xf8,0xd4,0x3c,0x44,0x6f,0xbb,0x61,0x78,0x35,0x1b,0x9d,0x45,0x6f,0x90,
0x89,0xa9,0x39,0x0b,0x13,0xf3,0x17,0x26,0x49,0x8e,0x3d,0x81,0x83,0xcd,0xf0,0x12,
0xb3,0xa6,0x2a,0xca,0xef,0xbd,0x2b,0x51,0x19,0x9d,0xb2,0xff,0xe3,0x30,0xb5,0x65,
0xad,0xf2,0x65,0x66,0x69,0x1f,0xd7,0x4d,0x2e,0xf9,0x2c,0xad,0x6c,0x92,0x93,0x72,
0x00,0x06,0x5b,0x7d,0x7f,0x97,0xd6,0x61,0x62,0xc1,0xd5,0xde,0x16,0x78,0x7e,0x35,
0x7a,0x2f,0xc3,0xa8,0xd1,0x4a,0xb1,0x9d,0x2f,0x49,0xe9,0xf0,0xcd,0x49,0x88,0xa5,
0x93,0x15,0x29,0xe3,0xb2,0x43,0x51,0x44,0x47,0xf5,0x79,0x1a,0x7e,0xc4,0xfc,0xfc,
0x93,0xd7,0x9c,0xe0,0x75,0x20,0xb6,0x74,0x77,0xa4,0x01,0x4b,0xf0,0x7c,0x5a,0x19,
0xea,0xd5,0x5e,0x40,0xf2,0xc9,0xaa,0x4c,0x70,0x10,0xa9,0x9e,0x22,0x7f,0x98,0x77,
0x97,0xde,0xc6,0x00,0xdc,0xa4,0x7d,0x5f,0x43,0x61,0xc4,0x45,0xdb,0xec,0xe6,0xa6,
0x74,0xf0,0xb7,0x98,0x50,0x5d,0x47,0x31,0x99,0x00,0x6f,0x5d,0xc7,0x48,0xc4,0x55,
0xb7,0x98,0x4a,0xaf,0xf8,0xe5,0xcf,0xe7,0xa5,0xf0,0xd2,0xe6,0xfd,0xb2,0x1d,0xcd,
0x28,0x2e,0x6a,0xb3,0x23,0x82,0x22,0x44,0x54,0xeb,0x53,0x36,0xaa,0x72,0xf2,0x78,
0xbb,0x1d,0x3a,0x01,0xa7,0xc3,0x07,0x6c,0x08,0x1a,0x2f,0x4c,0x19,0xcd,0xad,0x76,
0x99,0xa0,0x6b,0xeb,0x63,0x70,0x51,0xa4,0x5d,0x0d,0x45,0x6b,0x2b,0xa2,0x5c,0x1e,
0x81,0x5e,0xe7,0x66,0xa0,0x29,0x3c,0x2a,0x52,0x01,0x6c,0x6f,0x42,0x9e,0x8b,0xd7,
0x94,0xe4,0xbb,0xbc,0xc5,0xbc,0x1e,0x89,0x3f,0xd6,0xaa,0x91,0x5c,0xaf,0x06,0x98,
0xf8,0x31,0x79,0xe1,0xb9,0xef,0x54,0xc5,0x7b,0xbf,0x33,0x53,0x2d,0xa2,0x87,0x65,
0x0a,0xee,0x56,0xa1,0x1a,0x79,0x13,0x4c,0x72,0xa7,0x4f,0x41,0x37,0x7d,0x6a,0x07,
0x5c,0x47,0xbf,0x46,0xb2,0xf6,0x49,0xf5,0x45,0x2b,0xc4,0x48,0x54,0xd4,0xd7,0x2f,
0xa7,0x93,0x7f,0xd3,0x2d,0xe3,0x61,0x67,0x0d,0xf3,0x3b,0xc1,0x23,0x14,0x1a,0x71,
0x3d,0x1e,0x92,0xac,0x82,0xfd,0x8c,0x3d,0xad,0x62,0xe2,0x25,0xa7,0xd4,0x01,0x19,
0x71,0x11,0x5d,0xd1,0xfc,0xed,0x7e,0xdb,0xbe,0x7c,0x74,0x38,0xe0,0x40,0x16,0x4b,
0x02,0xad,0x83,0x50,0x89,0xbf,0xae,0x78,0x8b,0x7b,0x58,0xae,0xe5,0x7c,0x25,0xe8,
0x27,0x3b,0x54,0xc8,0xab,0xd5,0x32,0xfb,0x41,0x6a,0x99,0x24,0xf5,0xf2,0xc7,0xef,
0xae,0x80,0xfd,0xe4,0xaf,0xf2,0x28,0x70,0xac,0xc6,0xa7,0x77,0xef,0xb6,0xc3,0x8e,
0xa0,0xd3,0xda,0x3a,0x66,0xa4,0x7f,0x48,0x4e,0xda,0xce,0x25,0xfe,0xfe,0x4f,0xac,
0x50,0xb2,0xa1,0xb5,0x64,0xa2,0xb3,0x7c,0xd0,0xf5,0x18,0x8e,0xe4,0xea,0x5a,0xf1,
0xdd,0x74,0xf8,0x6c,0xc1,0x2e,0x5c,0x57,0xb9,0x0b,0xa9,0x01,0xad,0xea,0x19,0xd0,
0x26,0x01,0x35,0xd8,0x69,0x56,0x26,0x41,0xa6,0x3a,0x80,0x72,0x1f,0xfd,0x29,0x30,
0x22,0xc5,0xd9,0x31,0xbf,0xd7,0xb2,0xb1,0xc6,0x98,0x0d,0x15,0x7e,0x59,0x58,0x40,
0x14,0x10,0x3f,0x99,0x5a,0x5e,0x76,0x53,0xe0,0xf1,0x0e,0x38,0x0f,0x87,0x1d,0x08,
0x6b,0x50,0x89,0x68,0x23,0x3e,0x98,0x6f,0xd7,0xb6,0x6c,0x7a,0xaf,0x8e,0x54,0x68,
0xb7,0x62,0x6b,0x9f,0xdc,0x37,0xce,0xef,0xfe,0x3f,0xf8,0xe3,0x90,0x6a,0x80,0x6a,
0xa2,0x61,0x2c,0xf9,0x6f,0xf4,0xf3,0xb7
};

static const char MurenaPublicKey[] = {
	0x00, 0x00, 0x10, 0x00, 0xb8, 0x0b, 0xfd, 0x49, 0xb6, 0x3d, 0xe2,
	0x49, 0xb0, 0x82, 0xf2, 0x03, 0xe1, 0xe3, 0xbf, 0xce, 0xb2, 0xd9,
	0xe9, 0xb2, 0x04, 0xd7, 0xe8, 0xa5, 0x81, 0x49, 0xa7, 0x62, 0xe8,
	0x12, 0xf3, 0xa3, 0x1c, 0x28, 0xca, 0x28, 0x85, 0x06, 0x3f, 0xf0,
	0x2d, 0x34, 0x76, 0x8d, 0x75, 0x35, 0x72, 0x71, 0xc9, 0x9b, 0xe2,
	0x74, 0x69, 0x08, 0x72, 0x69, 0xac, 0x39, 0xff, 0xf9, 0xd3, 0xb4,
	0xa1, 0x66, 0xb5, 0x93, 0x8f, 0xe0, 0xe5, 0x76, 0x97, 0x0b, 0x5a,
	0xeb, 0x8d, 0x43, 0x74, 0xcd, 0xc3, 0x02, 0x53, 0xec, 0x35, 0x21,
	0x59, 0x39, 0x40, 0x1b, 0xa0, 0x81, 0x88, 0x18, 0x77, 0xf8, 0xae,
	0xc0, 0xaa, 0xad, 0x78, 0x90, 0x96, 0xda, 0x61, 0x2e, 0xf9, 0x71,
	0x18, 0xa9, 0x3e, 0xdc, 0x2e, 0xcb, 0xca, 0xcf, 0x91, 0xbe, 0xc0,
	0xdf, 0x65, 0xd1, 0xbf, 0x45, 0x2d, 0x5e, 0x90, 0x9c, 0x32, 0x59,
	0xbe, 0xc8, 0xf1, 0xea, 0x0c, 0x72, 0xfc, 0x69, 0x02, 0xdd, 0x24,
	0x59, 0xef, 0x47, 0x96, 0xeb, 0xf6, 0xb1, 0x86, 0xea, 0x0d, 0xa2,
	0xfb, 0xec, 0x93, 0x60, 0x5c, 0x54, 0xc0, 0x80, 0x45, 0x40, 0xf5,
	0x72, 0x76, 0xda, 0x55, 0x7d, 0x22, 0x45, 0x22, 0x81, 0x39, 0xdc,
	0xf2, 0xff, 0xff, 0xc5, 0x05, 0xc7, 0x3a, 0x83, 0x19, 0xf5, 0x49,
	0x0a, 0x26, 0x82, 0xda, 0x91, 0x02, 0x71, 0x95, 0xc0, 0xba, 0xa5,
	0x79, 0xca, 0x83, 0x51, 0x5d, 0x7a, 0xae, 0xc9, 0x30, 0xbd, 0xdf,
	0x4e, 0x07, 0xff, 0xa2, 0xb5, 0xab, 0x87, 0x64, 0xbc, 0x04, 0x0f,
	0xbc, 0x3d, 0x31, 0x2f, 0x16, 0xcf, 0x2f, 0x83, 0xae, 0xf5, 0x2c,
	0xbf, 0x42, 0x4d, 0xc3, 0xbd, 0xfc, 0x03, 0x31, 0xf2, 0x93, 0xab,
	0xa6, 0xde, 0x2f, 0x71, 0x87, 0x33, 0x6f, 0xe2, 0x80, 0xa8, 0xbe,
	0x0f, 0x4a, 0x41, 0xb2, 0x51, 0x8b, 0xfe, 0x04, 0x29, 0x16, 0x08,
	0xb2, 0x79, 0x8d, 0x16, 0x01, 0x8d, 0x45, 0x31, 0xcd, 0x53, 0xfd,
	0xc8, 0x5f, 0x61, 0xbd, 0xf2, 0xe1, 0x5d, 0xd9, 0x2c, 0x65, 0x40,
	0x69, 0x1c, 0x95, 0x61, 0x31, 0x59, 0x69, 0xcf, 0x13, 0x0b, 0xdc,
	0x98, 0xe3, 0xc9, 0xf6, 0x38, 0xc3, 0xf4, 0x07, 0xcc, 0xff, 0x83,
	0xea, 0x13, 0x4f, 0x6c, 0x5e, 0x50, 0x9f, 0xf4, 0x0b, 0x20, 0x1d,
	0x6d, 0xbe, 0xe9, 0x56, 0x18, 0x99, 0xdd, 0x4c, 0x5a, 0x82, 0x58,
	0x1a, 0x5a, 0xa2, 0xc0, 0xe2, 0xe0, 0x88, 0xe0, 0x40, 0xea, 0x11,
	0xae, 0x0e, 0x3a, 0x27, 0x28, 0x11, 0x43, 0x22, 0xf3, 0xda, 0xcf,
	0xe8, 0x57, 0xae, 0x86, 0x3a, 0x39, 0xb5, 0xd6, 0xee, 0x6e, 0xaa,
	0x44, 0x01, 0x34, 0x58, 0x87, 0x30, 0xa3, 0xa8, 0x66, 0x8b, 0xa1,
	0x89, 0xa1, 0xf8, 0x30, 0xb2, 0xe8, 0x74, 0x97, 0x8e, 0xcd, 0x98,
	0xfa, 0xeb, 0x19, 0xc6, 0x25, 0x24, 0x9a, 0x79, 0x18, 0xf1, 0xed,
	0x34, 0xec, 0x5a, 0xe2, 0x05, 0xa3, 0x61, 0x64, 0x67, 0x08, 0x7c,
	0xae, 0xfd, 0xd4, 0xe9, 0x26, 0x1a, 0xba, 0xdb, 0xf0, 0xaf, 0x57,
	0x1b, 0x7a, 0xcc, 0x3a, 0xee, 0xb1, 0x2e, 0xff, 0x8a, 0xfa, 0xe9,
	0xdf, 0xb0, 0x7f, 0x7b, 0xb5, 0x78, 0x31, 0x7b, 0x0e, 0xed, 0xd8,
	0x96, 0x32, 0xf9, 0xe0, 0xd0, 0x13, 0xd6, 0xf2, 0x9b, 0xca, 0xeb,
	0x40, 0x24, 0xc9, 0xdb, 0xac, 0x8e, 0xb8, 0x26, 0x11, 0x38, 0x2b,
	0x82, 0x5f, 0xb0, 0xd7, 0xd1, 0x56, 0x1d, 0x72, 0x26, 0x83, 0x58,
	0x01, 0xbf, 0xe0, 0x23, 0x5a, 0xc7, 0xa9, 0x51, 0x53, 0x12, 0x0a,
	0xe2, 0xe4, 0x44, 0x04, 0x1b, 0x2e, 0xe6, 0xbe, 0x7f, 0x74, 0x75,
	0x63, 0xce, 0x08, 0xe5, 0x00, 0xd8, 0xbd, 0xe5, 0x69, 0xf5, 0x9c,
	0x55, 0xdc, 0xdd, 0x73, 0x65, 0x07, 0xcd, 0x7a, 0x94, 0xb2, 0x6f,
	0x2a, 0x7b, 0x07, 0x68, 0xd4, 0xa8, 0x2f, 0x8d, 0x6c, 0x10, 0x37,
	0x61, 0x42, 0x16, 0x2d, 0x08, 0x84, 0x88, 0x02, 0xd8, 0xb9, 0xdc,
	0x1e, 0xe9, 0x76, 0x08, 0xa2, 0x24, 0xb3, 0x75, 0x7e, 0xf0, 0x64,
	0xd2, 0xc7, 0xaa, 0x9c, 0x1b, 0x5d, 0x03, 0xe5, 0xc1, 0x60, 0xd7,
	0x42, 0xf0, 0x11, 0x95, 0xd8, 0xf2, 0xb1, 0x0b, 0x1c, 0x46, 0x9a,
	0x6e, 0x31, 0x9d, 0x1b, 0xdf, 0x37, 0x71, 0x58, 0x2d, 0x60, 0x0d,
	0xc5, 0xfb, 0x37, 0xa2, 0x2a, 0x09, 0xca, 0x15, 0xd2, 0xc8, 0x2b,
	0x59, 0x60, 0x9c, 0x3c, 0xc2, 0xcb, 0x22, 0x10, 0x3e, 0x42, 0x2c,
	0xb4, 0x10, 0xd1, 0xc4, 0xaa, 0xd6, 0x8d, 0x0e, 0xee, 0x07, 0xf6,
	0x6d, 0x56, 0xae, 0x37, 0xbf, 0xc5, 0xfe, 0x95, 0xae, 0x32, 0x27,
	0x6c, 0xdf, 0x80, 0xd9, 0x2a, 0x87, 0x8c, 0x5d, 0x5f, 0x11, 0xcb,
	0x46, 0xc6, 0x4a, 0x5b, 0x0c, 0x29, 0xe1, 0x4b, 0xb5, 0xd9, 0x92,
	0x9b, 0x73, 0xfd, 0x6e, 0x19, 0x06, 0x77, 0x07, 0x0b, 0x17, 0x0a,
	0xf8, 0x9d, 0xab, 0xca, 0xab, 0x98, 0xb3, 0xbc, 0x26, 0xd7, 0x0c,
	0xc0, 0x08, 0x5d, 0x87, 0x3a, 0x61, 0xba, 0xbb, 0x32, 0x5b, 0x5e,
	0xb9, 0x39, 0x07, 0xaf, 0x06, 0x57, 0x4c, 0xa8, 0x26, 0x03, 0x87,
	0x05, 0x03, 0xc3, 0x3a, 0xd1, 0x66, 0xfd, 0x4b, 0x04, 0x54, 0x07,
	0xe6, 0xaa, 0x73, 0xd9, 0xcc, 0xe0, 0x22, 0x12, 0x70, 0xca, 0x45,
	0x49, 0xd0, 0x92, 0x13, 0x6c, 0x4e, 0xb5, 0x7a, 0xb0, 0x75, 0xcd,
	0xf1, 0x6b, 0x52, 0xf3, 0x1d, 0x78, 0x86, 0xfc, 0xac, 0x0e, 0x78,
	0x5f, 0x1a, 0xda, 0x24, 0x40, 0xdb, 0xbf, 0x50, 0x56, 0xee, 0xe5,
	0xdc, 0x18, 0x4a, 0x9c, 0x43, 0x03, 0x71, 0xda, 0xd9, 0x62, 0x56,
	0x68, 0xa7, 0x13, 0xc3, 0xd3, 0xe3, 0x10, 0x24, 0xeb, 0xb8, 0xed,
	0xf3, 0xff, 0xed, 0x42, 0xfc, 0x64, 0xbe, 0x8e, 0xb1, 0x95, 0xdc,
	0x67, 0xef, 0x32, 0xef, 0x44, 0x84, 0x4e, 0x4a, 0x1e, 0x2e, 0xb8,
	0x5c, 0x31, 0xff, 0xe1, 0x5e, 0x09, 0xc0, 0xda, 0xf7, 0xc6, 0xe6,
	0x20, 0x94, 0x67, 0xec, 0x5b, 0x69, 0x32, 0xc6, 0x0a, 0xf1, 0xcd,
	0xa3, 0xe6, 0xbd, 0xd4, 0x24, 0x99, 0xef, 0x6c, 0xc3, 0x7f, 0xc4,
	0x2c, 0x9c, 0x37, 0x53, 0xfb, 0xe9, 0xdc, 0xcb, 0x21, 0x57, 0x7d,
	0xad, 0x05, 0x14, 0x8c, 0x00, 0x90, 0x9b, 0x47, 0xfe, 0x0b, 0xb3,
	0xcb, 0xbc, 0x97, 0x51, 0xc5, 0x08, 0x10, 0xa2, 0xa9, 0x6f, 0x54,
	0xca, 0x44, 0x5c, 0xc9, 0xac, 0x8f, 0xb4, 0x2b, 0x69, 0x61, 0x38,
	0xec, 0x0d, 0xe9, 0x84, 0x07, 0xf3, 0xe9, 0xd9, 0x8e, 0x92, 0xd1,
	0x28, 0x36, 0x6b, 0x30, 0x40, 0xd1, 0x0d, 0x87, 0xd3, 0x3c, 0x21,
	0x65, 0xe6, 0xa8, 0xcc, 0x42, 0x20, 0x79, 0xb9, 0x15, 0xdc, 0xaa,
	0x07, 0x21, 0xcb, 0x73, 0xba, 0xb9, 0x97, 0xd4, 0xaa, 0x6a, 0x44,
	0xf0, 0x7b, 0xb4, 0x2a, 0xf7, 0x21, 0x7b, 0xc3, 0xcd, 0xbf, 0x15,
	0x02, 0x99, 0x82, 0x0e, 0xb6, 0x33, 0xcb, 0xd3, 0x7d, 0x5b, 0xb4,
	0x6f, 0x03, 0xa5, 0x61, 0xe0, 0x94, 0x5a, 0x16, 0x0d, 0x54, 0xab,
	0x19, 0x0b, 0x70, 0xd9, 0x60, 0x0f, 0x2e, 0x23, 0xe4, 0x13, 0x89,
	0xef, 0xba, 0x7f, 0x11, 0x36, 0xfd, 0xdc, 0x4c, 0x50, 0x83, 0x7a,
	0x3e, 0xbc, 0x29, 0x51, 0x66, 0x55, 0xb5, 0xb4, 0x23, 0xc3, 0xcc,
	0x96, 0x87, 0x58, 0x94, 0x07, 0x51, 0xaf, 0xff, 0xa2, 0x6f, 0xcc,
	0x56, 0x5f, 0x3f, 0x22, 0xcb, 0xf8, 0xa5, 0x6a, 0x20, 0x2d, 0x3c,
	0x83, 0x65, 0x1b, 0x8d, 0x6b, 0xa8, 0x6f, 0x4d, 0xe3, 0x10, 0x08,
	0x92, 0xa2, 0xd4, 0x63, 0xe8, 0xa8, 0xb1, 0xe3, 0x66, 0xb2, 0x1a,
	0x59, 0x23, 0xdb, 0xe0, 0xb6, 0xf9, 0x7b, 0xf1, 0xf0
};

#endif /* __OEM_PUBLIC_KEY_H__ */
